
Foreman - Refactor #24025

Pass full_name attribute for settings in API

06/21/2018 10:13 AM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Anurag Patel   

Category: API   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged:  Found in Releases:  

Bugzilla link: 1470987 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5727

  

Description

Description

Command "hammer settings list" shows NAME, VALUE and DESCRIPTION.

In WebUI we show LONG_NAME and NAME is shown on mouse hover. This is confusing.

Please add LONG_NAME to "settings list" output as well. Keys should remain the same tho (e.g. hammer settings set --name

key_is_preserved).

To make this change, pass full_name attribute in settings API

Related issues:

Blocks Hammer CLI - Refactor #20360: Setting list should show full names Closed

Associated revisions

Revision aa806e82 - 06/24/2018 02:10 PM - Aditi Puntambekar

Fixes #24025 - Pass full_name attribute for settings in API

History

#1 - 06/21/2018 10:13 AM - Kavita Gaikwad

- Blocks Refactor #20360: Setting list should show full names added

#2 - 06/21/2018 10:15 AM - Kavita Gaikwad

- Assignee set to Anurag Patel

#3 - 06/21/2018 10:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5727 added

#4 - 06/24/2018 02:10 PM - Tomer Brisker

- translation missing: en.field_release set to 353

#5 - 06/24/2018 03:01 PM - Aditi Puntambekar

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset aa806e82d2c9ea0bb7ce865d1700eea7c75483a6.
